/* 
Theme Name: Hello Elementor Child
Theme URI: https://github.com/elementor/hello-theme-child/
Description: Hello Elementor Child is a child theme of Hello Elementor, created by Elementor team
Author: Elementor Team
Author URI: https://elementor.com/
Template: hello-elementor
Version: 2.0.0
Text Domain: hello-elementor-child
License: GNU General Public License v3 or later.
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Tags: flexible-header, custom-colors, custom-menu, custom-logo, editor-style, featured-images, rtl-language-support, threaded-comments, translation-ready
*/

/* Reset - Elementor übernimmt Container */
.tribe-events-page-template #tribe-events-pg-template {
	background-color: transparent;
	margin: auto;
	max-width: none;
	padding: 0;
}

.oks-color_accent {
	color: var(--e-global-color-accent, #01B0E7);
}

.oks-bold,
.oks-bold .elementor-heading-title,
.oks-bold.elementor-widget-button .elementor-button .elementor-button-text {
	font-weight: bold!important;
}

.oks-bolder,
.oks-bolder .elementor-heading-title,
.oks-bolder.elementor-widget-button .elementor-button .elementor-button-text {
	font-weight: 500!important;
}

.oks-text--normal,
.oks-text--normal .elementor-heading-title {
	font-weight: normal!important;
	text-transform: none!important;
}

.oks-uppercase,
.oks-uppercase .elementor-heading-title {
	text-transform: uppercase!important;
}

.oks-event_list-button {
	transform: scale(calc(1 + 2/100)) translateX(2px);
}

.oks-event_list-button,
.oks-event_list-button .elementor-button {
	height: 100%;
}
.oks-event_list-button .elementor-button {
	display: flex;
	justify-content: center;
}
.oks-event_list-button .elementor-button-icon path {
	stroke: #fff;
	stroke-width: 4px;
}

.oks-events_loop {
	
}

/* Event-Elemente */
.mc-event-section {
	margin-block: 3rem;
}

.mc-event-section h2 {
	font-size: var( --e-global-typography-secondary-font-size );
}

.mc-event-section h3 {
	font-size: var( --e-global-typography-9e7c572-font-size );
}

@media (max-width: 768px) {
	.mc-event-section {
		margin-block-start: 0;
	}
}

.mc-event-location {
	display: flex;
	flex-direction: column;
	gap: 1em;
}
.mc-event-location--simplified ul {
	list-style: none;
	padding-inline-start: 0;
}
.mc-event-location--simplified .mc-event-location_address {
	font-style: normal;
}

.mc-event-location_address {
	order: 1;
	
	display: flex;
	flex-direction: column;
	gap: 0.125em;
}

.mc-event-location iframe {
	order: 0;
}

.mc-event-image_block {
	display: flex;
}

.mc-event-image_block img {
	display: block;
	width: 100%;
	max-width: 500px;
	aspect-ratio: 4 / 3;
	object-fit: cover;
	object-position: center;
	border-radius: 20px;
}

.mc-event-table {
    display: flex;
    flex-direction: column;
    width: 100%;
}

.mc-event-table_row {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(120px, 1fr));
    gap: 0.5rem;
    padding: 0.5rem 0;
}

.mc-event-table_cell {
    padding: 0.25rem 0.5rem;
}

.mc-event-table_cell {
	display: flex;
}

.mc-event-table_cell-content {
	font-weight: bold;
}

@media (max-width: 768px) {
    .mc-event-table_row {
        grid-template-columns: 1fr;
    }
}

/* Sektion spezifisch */
.guestoo-section_padded {
	padding: calc(2em + 10px); /* damit es dem padding des Headers gleicht */
}

.guestoo-section_intro h2 {
	display: none;
}

.mc-event-section_content {
	display: grid;
    grid-column-gap: 4rem;
}

.guestoo-section_intro .mc-event-section_content,
.guestoo-section_referent .mc-event-section_content,
.guestoo-section_gastgeber .mc-event-section_content {
    grid-template-columns: 1fr 1fr;
}

@media (max-width: 768px) {
    .mc-event-section_content {
		grid-row-gap: 2rem;
        grid-template-columns: 1fr!important;
    }
}

.guestoo-section_gastgeber .mc-event-text_block {
	order: -1;
}
@media (max-width: 768px) {
	.guestoo-section_gastgeber .mc-event-text_block {
		order: initial;
	}
}

.guestoo-section_gastgeber .mc-event-image_block {
	justify-content: end;
}

.guestoo-section_gastgeber,
.guestoo-section_referent {
	border-radius: 40px;
	background-color: var(--e-global-color-secondary, #0A2268);
}

.guestoo-section_programmablauf {
	border-radius: 40px;
	background: linear-gradient(to right, var(--e-global-color-secondary, #0A2268), var(--e-global-color-accent, #01B0E7));
}

.guestoo-section_programmablauf > div:first-of-type {
    display: flex;
    align-items: center;
}
@media (max-width: 768px) {
	.guestoo-section_programmablauf > div:first-of-type {
		flex-direction: column;
	}
}

.guestoo-section_programmablauf div:first-of-type > h2 {
	display: flex;
    align-items: center;
    gap: 0.5em;
}
@media (max-width: 768px) {
	.guestoo-section_programmablauf div:first-of-type > h2 {
		flex-direction: column;
	}
}

.guestoo-section_programmablauf div > h2::before {
    content: url("https://new.marketingclub-erfurt.de/wp-content/uploads/2026/05/icon-einzelevent-programmablauf.svg");
    height: 121px;
    width: 121px;
    display: inline-block;
}

.guestoo-section_programmablauf .mc-event-table_row .mc-event-table_cell:first-child {
	align-items: start;
}

.guestoo-section_programmablauf .mc-event-table_row .mc-event-table_cell:first-child .mc-event-table_cell-content {
	width: fit-content;
	min-width: 100px;
	background-color: white;
	border-radius: 20px;
	padding: 0.5em 1.5em 0.25em 1.5em;
	color: var(--e-global-color-secondary);
}

.guestoo-section_programmablauf .mc-event-table_row .mc-event-table_cell:not(:first-child) {
	align-items: center;
}

.oks-loop .elementor-pagination {
	display: flex;
	justify-content: center;
	padding-block-start: 2rem;
}

.oks-loop .page-numbers {
    font-size: 1.5rem;
    width: 3rem;
    height: 3rem;
    aspect-ratio: 1/1;
    border-radius: 100%;
	background: linear-gradient(to right, var(--e-global-color-secondary, #01B0E7), var(--e-global-color-primary, #0d164b));
}

.oks-loop .page-numbers.current {
	font-weight: bold;
	background: linear-gradient(to right, var(--e-global-color-secondary, #0A2268), var(--e-global-color-accent, #01B0E7));
}

/* Akteur */
.oks-akteur_buttons .elementor-widget-button .elementor-button .elementor-button-text {
	font-weight: bold!important;
}

.no-userfield {
	display: none;
}

.oks-akteur_image-box {
	height: 100%;
}

.oks-akteur_image-box .elementor-image-box-wrapper {
	display: flex;
	flex-direction: column;
	height: 100%;
	justify-content: center;
	align-content: center;
	align-items: center;
}

/* Misc. */
.oks-grid_post_no-venue {
	display: none;
}

.embed-privacy-url {
	display: none;
}

.embed-privacy-inner {
	display: flex!important;
	flex-direction: column!important;
	place-content: center!important;
	height: 100%!important;
	min-height: 300px!important;
}

.embed-privacy-inner br {
	display: none;
}

/*
#mc-event-signup {
	display: flex;
	align-items: start;
}
*/

.mc-event-signup__field label {
	line-height: 1.6em;
}

.mc-event-signup__button {
	margin-block-start: 2em;
	background-color: var( --e-global-color-text );
	fill: var( --e-global-color-primary );
	color: var(--e-global-color-primary)!important;
	border-style: solid;
	border-color: var( --e-global-color-text );
	border-radius: 20px;
	cursor: pointer;
	font-size: var(--e-global-typography-accent-font-size);
	line-height: 1.2em;
	padding: 12px 24px;
	text-align: center;
	transition: all .3s
}
.mc-event-signup__button:hover {
	background-color: var(--e-global-color-primary);
	fill: var( --e-global-color-text );
	color: var(--e-global-color-text)!important;
	border-color: var( --e-global-color-primary );
}